.hero-btn {
  position: relative;
}

/* LTR (default) */
.hero-btn::before {
  content: "";
  position: absolute;
  left: -20%;
  top: -20%;
  background-color: transparent;
  border: 2px solid transparent;
  border-left-color: var(--color-main-primary);
  border-top-color: var(--color-main-primary);
  border-bottom-color: var(--color-main-primary);
  border-right-color: transparent;
  width: 140%;
  height: 140%;
  border-radius: 5rem;
}

/* RTL support */
[dir="rtl"] .hero-btn::before {
  left: auto;
  right: -20%;
  border-left-color: transparent;
  border-right-color: var(--color-main-primary);
  /* Keeps top and bottom borders the same */
}


.fan-animation {
  animation: fan 30s linear infinite;
}

@keyframes fan {
  0% {
    transform: rotate(0deg);
  }
  100% {
    transform: rotate(360deg);
  }
}
